{
    attributes = (
        {
            allowsNull = Y; 
            columnName = C_ACADEMIE; 
            externalType = VARCHAR2; 
            name = cAcademie; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_NAF; 
            externalType = VARCHAR2; 
            name = cNaf; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_RNE; 
            externalType = VARCHAR2; 
            name = cRne; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_STATUT_JURIDIQUE; 
            externalType = VARCHAR2; 
            name = cStatutJuridique; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            definition = "to_number(cStructure)"; 
            externalType = NUMBER; 
            isReadOnly = Y; 
            name = cStructureNumber; 
            valueClassName = NSNumber; 
            valueType = i; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_STRUCTURE_PERE; 
            externalType = VARCHAR2; 
            name = cStructurePere; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_TYPE_DECISION_STR; 
            externalType = VARCHAR2; 
            name = cTypeDecisionStr; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_TYPE_ETABLISSEMEN; 
            externalType = VARCHAR2; 
            name = cTypeEtablissemen; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = C_TYPE_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cTypeStructure; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = DATE_DECISION; 
            externalType = DATE; 
            name = dateDecision; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = DATE_FERMETURE; 
            externalType = DATE; 
            name = dateFermeture; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = DATE_OUVERTURE; 
            externalType = DATE; 
            name = dateOuverture; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = EXPORT; 
            externalType = NUMBER; 
            name = export; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_ACCES; 
            externalType = VARCHAR2; 
            name = grpAcces; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_ALIAS; 
            externalType = VARCHAR2; 
            name = grpAlias; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_APE_CODE; 
            externalType = VARCHAR2; 
            name = grpApeCode; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_APE_CODE_BIS; 
            externalType = VARCHAR2; 
            name = grpApeCodeBis; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_APE_CODE_COMP; 
            externalType = VARCHAR2; 
            name = grpApeCodeComp; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_CA; 
            externalType = NUMBER; 
            name = grpCa; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_CAPITAL; 
            externalType = NUMBER; 
            name = grpCapital; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_CENTRE_DECISION; 
            externalType = VARCHAR2; 
            name = grpCentreDecision; 
            valueClassName = NSString; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_EFFECTIFS; 
            externalType = NUMBER; 
            name = grpEffectifs; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_FONCTION1; 
            externalType = VARCHAR2; 
            name = grpFonction1; 
            valueClassName = NSString; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_FONCTION2; 
            externalType = VARCHAR2; 
            name = grpFonction2; 
            valueClassName = NSString; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_FORME_JURIDIQUE; 
            externalType = VARCHAR2; 
            name = grpFormeJuridique; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_MOTS_CLEFS; 
            externalType = VARCHAR2; 
            name = grpMotsClefs; 
            valueClassName = NSString; 
            width = 255; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_OWNER; 
            externalType = NUMBER; 
            name = grpOwner; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_RESPONSABILITE; 
            externalType = VARCHAR2; 
            name = grpResponsabilite; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_RESPONSABLE; 
            externalType = NUMBER; 
            name = grpResponsable; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_TRADEMARQUE; 
            externalType = VARCHAR2; 
            name = grpTrademarque; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRP_WEBMESTRE; 
            externalType = VARCHAR2; 
            name = grpWebmestre; 
            valueClassName = NSString; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_STRUCTURE; 
            externalType = VARCHAR2; 
            name = lcStructure; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_STRUCTURE; 
            externalType = VARCHAR2; 
            name = llStructure; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = MOYENNE_AGE; 
            externalType = NUMBER; 
            name = moyenneAge; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ORG_ORDRE; 
            externalType = NUMBER; 
            name = orgOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = REF_DECISION; 
            externalType = VARCHAR2; 
            name = refDecision; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = REF_EXT_COMP; 
            externalType = VARCHAR2; 
            name = refExtComp; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = REF_EXT_CR; 
            externalType = VARCHAR2; 
            name = refExtCr; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = REF_EXT_ETAB; 
            externalType = VARCHAR2; 
            name = refExtEtab; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = SIREN; 
            externalType = VARCHAR2; 
            name = siren; 
            valueClassName = NSString; 
            width = 9; 
        }, 
        {
            allowsNull = Y; 
            columnName = SIRET; 
            externalType = VARCHAR2; 
            name = siret; 
            valueClassName = NSString; 
            width = 14; 
        }, 
        {
            allowsNull = Y; 
            columnName = STR_ACCUEIL; 
            externalType = VARCHAR2; 
            name = strAccueil; 
            valueClassName = NSString; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = STR_ACTIVITE; 
            externalType = VARCHAR2; 
            name = strActivite; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = STR_ORIGINE; 
            externalType = VARCHAR2; 
            name = strOrigine; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = STR_PHOTO; 
            externalType = VARCHAR2; 
            name = strPhoto; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = STR_RECHERCHE; 
            externalType = VARCHAR2; 
            name = strRecherche; 
            valueClassName = NSString; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = TVA_INTRACOM; 
            externalType = VARCHAR2; 
            name = tvaIntracom; 
            valueClassName = NSString; 
            width = 13; 
        }
    ); 
    attributesUsedForLocking = (
        cStructure, 
        persId, 
        llStructure, 
        lcStructure, 
        cTypeStructure, 
        cStructurePere, 
        cTypeEtablissemen, 
        cAcademie, 
        cStatutJuridique, 
        cRne, 
        siret, 
        siren, 
        cNaf, 
        cTypeDecisionStr, 
        refExtEtab, 
        refExtComp, 
        refExtCr, 
        refDecision, 
        dateDecision, 
        dateOuverture, 
        dateFermeture, 
        strOrigine, 
        strPhoto, 
        strActivite, 
        grpOwner, 
        grpResponsable, 
        grpFormeJuridique, 
        grpCapital, 
        grpCa, 
        grpEffectifs, 
        grpCentreDecision, 
        grpApeCode, 
        grpApeCodeBis, 
        grpApeCodeComp, 
        grpAcces, 
        grpAlias, 
        grpResponsabilite, 
        grpTrademarque, 
        grpWebmestre, 
        grpFonction1, 
        grpFonction2, 
        orgOrdre, 
        dCreation, 
        dModification, 
        grpMotsClefs, 
        cStructureNumber
    ); 
    className = EOStructure; 
    classProperties = (
        cStructure, 
        persId, 
        llStructure, 
        lcStructure, 
        cTypeStructure, 
        cStructurePere, 
        cTypeEtablissemen, 
        cAcademie, 
        cStatutJuridique, 
        cRne, 
        siret, 
        siren, 
        cNaf, 
        cTypeDecisionStr, 
        refExtEtab, 
        refExtComp, 
        refExtCr, 
        refDecision, 
        dateDecision, 
        dateOuverture, 
        dateFermeture, 
        strOrigine, 
        strPhoto, 
        strActivite, 
        grpOwner, 
        grpResponsable, 
        grpFormeJuridique, 
        grpCapital, 
        grpCa, 
        grpEffectifs, 
        grpCentreDecision, 
        grpApeCode, 
        grpApeCodeBis, 
        grpApeCodeComp, 
        grpAcces, 
        grpAlias, 
        grpResponsabilite, 
        grpTrademarque, 
        grpWebmestre, 
        grpFonction1, 
        grpFonction2, 
        orgOrdre, 
        dCreation, 
        dModification, 
        grpMotsClefs, 
        toResponsable, 
        toStructurePere, 
        toProprietaire, 
        toRepartTypeGroupe, 
        toApe, 
        toFormesJuridiquesDetails, 
        infoServices, 
        toRepartEmploi, 
        structures, 
        cStructureNumber, 
        telephones, 
        toPersonne, 
        taxes, 
        moyenneAge, 
        export, 
        tvaIntracom, 
        strAccueil, 
        strRecherche
    ); 
    externalName = STRUCTURE_ULR; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            cStructure, 
            persId, 
            llStructure, 
            lcStructure, 
            cTypeStructure, 
            cStructurePere, 
            cTypeEtablissemen, 
            cAcademie, 
            cStatutJuridique, 
            cRne, 
            siret, 
            siren, 
            cNaf, 
            cTypeDecisionStr, 
            refExtEtab, 
            refExtComp, 
            refExtCr, 
            refDecision, 
            dateDecision, 
            dateOuverture, 
            dateFermeture, 
            strOrigine, 
            strPhoto, 
            strActivite, 
            grpOwner, 
            grpResponsable, 
            grpFormeJuridique, 
            grpCapital, 
            grpCa, 
            grpEffectifs, 
            grpCentreDecision, 
            grpApeCode, 
            grpApeCodeBis, 
            grpApeCodeComp, 
            grpAcces, 
            grpAlias, 
            grpResponsabilite, 
            grpTrademarque, 
            grpWebmestre, 
            grpFonction1, 
            grpFonction2, 
            orgOrdre, 
            dCreation, 
            dModification, 
            grpMotsClefs, 
            toResponsable, 
            toStructurePere, 
            toProprietaire, 
            toRepartTypeGroupe
        ); 
    }; 
    name = StructureUlr; 
    primaryKeyAttributes = (cStructure); 
    relationships = (
        {
            destination = InfoService; 
            internalInfo = {_nameInObjectStore = toInfoService; }; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = infoServices; 
            propagatesPrimaryKey = Y; 
        }, 
        {
            destination = RepartStructure; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = structures; 
        }, 
        {
            destination = Taxe; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = taxes; 
        }, 
        {
            destination = PersonneTelephone; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = telephones; 
        }, 
        {
            destination = Ape; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = apeCode; sourceAttribute = grpApeCode; }); 
            name = toApe; 
        }, 
        {
            destination = FormesJuridiquesDetails; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cFjd; sourceAttribute = grpFormeJuridique; }); 
            name = toFormesJuridiquesDetails; 
        }, 
        {
            destination = Personne; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toPersonne; 
        }, 
        {
            destination = IndividuUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = grpOwner; }); 
            name = toProprietaire; 
        }, 
        {
            destination = RepartEmploi; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = toRepartEmploi; 
        }, 
        {
            destination = RepartTypeGroupe; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = toRepartTypeGroupe; 
        }, 
        {
            destination = IndividuUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = grpResponsable; }); 
            name = toResponsable; 
        }, 
        {
            destination = StructureUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructurePere; }); 
            name = toStructurePere; 
        }
    ); 
}
